import "@grapecity/wijmo.styles/wijmo.css";

//
import React from 'react';
import { FlexGrid, FlexGridColumn, FlexGridCellTemplate } from '@grapecity/wijmo.react.grid';
import { CollectionView} from '@grapecity/wijmo';
import * as wjGrid from '@grapecity/wijmo.grid/index';
import { getData, getColumns } from "./data";
//
import BasicMenu from "./BasicMenu";

const Grid = () =>
{
    const [data, setData] = React.useState<CollectionView>();
    const [columns, setColumns] = React.useState<string[]>([]);

    React.useEffect(() =>
    {
        setData(new CollectionView(getData(3000)));
        setColumns(getColumns());
    }, []);

    function initGrid(grid: wjGrid.FlexGrid)
    {
        grid.rows.defaultSize = 45;
    }

    return (
        <div>
            <FlexGrid autoGenerateColumns={false} initialized={initGrid} itemsSource={data}>
                {
                    columns.map((columnName) => (
                        <FlexGridColumn
                            key={columnName}
                            binding={columnName}
                            header={columnName}
                            width={130}
                        >
                            <FlexGridCellTemplate autoSizeRows={false} cellType="Cell" template={(context: wjGrid.ICellTemplateContext) =>
                            {
                                return <BasicMenu />;
                            }} />
                        </FlexGridColumn>
                    ))
                }
            </FlexGrid>
        </div>
    );
}

export default Grid;

// import "@grapecity/wijmo.styles/wijmo.css";
// // import "bootstrap.css";
// //
// import React from 'react';
// import { FlexGrid, FlexGridColumn, FlexGridCellTemplate } from '@grapecity/wijmo.react.grid';
// import { CollectionView, DataType, getType, Globalize } from '@grapecity/wijmo';
// import { ICellTemplateContext } from '@grapecity/wijmo.grid';
// import { getData, getColumns } from "./data";

// const SomeComponent = ({ text } : { text: string}) =>
// {
//     if (getType(text) === DataType.Number)
//     {
//         text = Globalize.format(text, "n2");
//     }
//     return (
//         <React.Fragment>
//             <span className="customContainer">{text}</span>
//         </React.Fragment>
//     )
// }

// const Grid = () =>
// {
//     const [data, setData] = React.useState<CollectionView>();
//     const [columns, setColumns] = React.useState<string[]>([]);

//     React.useEffect(() =>
//     {
//         setData(new CollectionView(getData(3000)));
//         setColumns(getColumns());
//     }, []);

//     return (
//         <div>
//             <FlexGrid
//                 autoGenerateColumns={false}
//                 itemsSource={data}
//             >
//                 {
//                     columns.map((columnName) =>
//                     {
//                         return (
//                             <FlexGridColumn
//                                 key={columnName}
//                                 binding={columnName}
//                                 header={columnName}
//                             >
//                                 <FlexGridCellTemplate cellType="Cell" template={(context: ICellTemplateContext) =>
//                                 {
//                                     return <SomeComponent text={context.item[columnName]} />;
//                                 }} />
//                             </FlexGridColumn>
//                         )
//                     })
//                 }
//             </FlexGrid>
//         </div>
//     );
// }

// export default Grid;